Subject: Re: bug#11604: USE_LISP_UNION_TYPE + USE_LSB_TAG cleanup.

From: Stefan Monnier <[email-masked]>
Date: Mon, 04 Jun 2012 09:12:23 -0400

>> Because the union type is for debugging, not for production.
> I didn't know that.  If that is so, it should be mentioned in the
> comments somewhere.  (I actually thought that Stefan wants to move to
> that model for production at some point, but maybe I misunderstood.)

I'm not sure what it is you misunderstood, but I don't intend to use
this "union type for Lisp_Object" for production.  I encourage people
around here to use it, to catch errors a bit earlier (tho, since they're
caught by the compiler, a single user such as myself is enough to get
a pretty good code coverage), but it has too many downsides
(performance is one, 29bit ints vs 30bit ints is another).
I would be OK with replacing it with a "struct".

        Stefan